List credentials
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/credentials \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"institutionCode": "<string>",
"operatorId": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"asOf": "2023-11-07T05:31:56Z",
"daysRemaining": 123,
"description": "<string>",
"expiryStatus": "<string>",
"lastExpiryCheckedAt": "2023-11-07T05:31:56Z",
"lastRotatedAt": "2023-11-07T05:31:56Z",
"lastTestResult": "<string>",
"lastTestedAt": "2023-11-07T05:31:56Z",
"passwordExpiresAt": "2023-11-07T05:31:56Z"
}
],
"pageNumber": 123,
"pageSize": 123,
"totalCount": 123
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List credentials
Lists credentials for the authenticated tenant with page-based pagination. The encrypted password is never returned. Pagination defaults are clamped by the service.
GET
/
v1
/
credentials
List credentials
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/credentials \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sta.sandbox.lerian.net/v1/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sta.sandbox.lerian.net/v1/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"institutionCode": "<string>",
"operatorId": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"asOf": "2023-11-07T05:31:56Z",
"daysRemaining": 123,
"description": "<string>",
"expiryStatus": "<string>",
"lastExpiryCheckedAt": "2023-11-07T05:31:56Z",
"lastRotatedAt": "2023-11-07T05:31:56Z",
"lastTestResult": "<string>",
"lastTestedAt": "2023-11-07T05:31:56Z",
"passwordExpiresAt": "2023-11-07T05:31:56Z"
}
],
"pageNumber": 123,
"pageSize": 123,
"totalCount": 123
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
1-based page number; clamped by the service
Example:
1
Page size; clamped by the service
Example:
20
Was this page helpful?

